
/* ウェブアクセシビリティ */

/* H1タイトル */
.h1-title {
    border-top: 2px solid #33CBCA;
    border-bottom: 2px solid #33CBCA;
    padding: 8px 0px;
    font-size: 20px;
    span {
        border-left: 8px solid #33CBCA;
        padding-left: 8px;
        margin-left: 4px;
    }
}

.webaccessibility-title {
    font-weight: bold;
}

.wa-table {
  overflow-x: auto;
  max-width: 100%;
  font-size: 18px;
}

.wa-table table {
  width: 100%;
  /* font-size: clamp(10px, 2vw, 16px); */
  font-size: 18px;
  table-layout: auto;
}

.wa-table th,
.wa-table td {
  /* white-space: nowrap;         折り返し防止 */
  /* word-break: keep-all;        単語の途中で改行しない */
  padding: 0.3rem 0.3rem;
  vertical-align: top;
}

@media screen and (max-width: 768px) {
    .results-table th {
        min-width: 50px;
        width:  clamp(7rem, 4vw, 9rem);
    }

    .results-table td {
        min-width: 100px;
        width:  clamp(7rem, 4vw, 9rem);
    }
}

.wa-table a {
  font-size: clamp(12px, 2vw, 16px); /* リンクも可変に */
}

.title-bar {
    display: block;
    width: 100%;
    padding: 2px 0px 2px 1.2rem;
    border-radius: 5px;
    background-color: #970b2f;
    color: #fff;
    margin: 2px 0px;
}

.table {
    border: 2px solid #000;
    border-radius: 0
}

/* ヘッダーのテキストボックス */
.header-textbox {
    width: 200px;
}
@media screen and (max-width: 768px) {
    .header-textbox {
        width: 100px;
    }
}

.p4-textbottun-area {
    background-color: #f2f2f2;
}

.hr {
    margin: 8px 0;
    color: inherit;
    border-top: var(--bs-border-width) solid;
    opacity: .25;
}

.title {
    border-left: 6px solid #008856;
    padding-left: 12px;
    font-size: 20px !important;
}


.bg-beige {
    background-color: #f1f0d5 !important;
}

/* トップに戻るボタン */
#scrollToTop {
    display: none;
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 100px;
    height: 100px;
    font-size: 16px;
    font-weight: bold;
    z-index: 1000;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.4s ease, visibility 0.4s ease;
}

.scroll-top-circle {
    width: 90px;
    height: 80px;
    border-radius: 50%;
    background-color: #970B2F;
    color: white;
    border: 2px solid #970B2F;
    font-size: 1.1rem;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
}

.scroll-top-circle:hover {
    background-color: #E59EDD;
    color: white;
    border-color: #970B2F;
}

.scroll-top-circle:active {
  background-color: #970B2F;
  color: white;
  border-color: #970B2F;
}

.scroll-top-icon {
    display: block;
    margin: 0 auto;
}
.scroll-top-text {
    line-height: 1.5;
    font-family: "Yu Gothic", "游ゴシック", "Meiryo", sans-serif;
    color: white;
    font-weight: bold;
}